/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { CategorySeriesDescription } from "./CategorySeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var AnchoredCategorySeriesDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(AnchoredCategorySeriesDescription, _super);
    function AnchoredCategorySeriesDescription() {
        var _this = _super.call(this) || this;
        _this.fh = null;
        _this.fb = null;
        _this.ff = null;
        _this.fg = null;
        _this.fe = null;
        _this.fd = null;
        _this.e9 = null;
        _this.e5 = 0;
        _this.e3 = null;
        _this.e7 = 0;
        _this.fc = null;
        _this.fa = null;
        return _this;
    }
    AnchoredCategorySeriesDescription.prototype.get_type = function () {
        return "AnchoredCategorySeries";
    };
    Object.defineProperty(AnchoredCategorySeriesDescription.prototype, "valueMemberPath", {
        get: function () {
            return this.fh;
        },
        set: function (a) {
            this.fh = a;
            this.g("ValueMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(AnchoredCategorySeriesDescription.prototype, "highlightedValueMemberPath", {
        get: function () {
            return this.fb;
        },
        set: function (a) {
            this.fb = a;
            this.g("HighlightedValueMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(AnchoredCategorySeriesDescription.prototype, "valueMemberAsLegendLabel", {
        get: function () {
            return this.ff;
        },
        set: function (a) {
            this.ff = a;
            this.g("ValueMemberAsLegendLabel");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(AnchoredCategorySeriesDescription.prototype, "valueMemberAsLegendUnit", {
        get: function () {
            return this.fg;
        },
        set: function (a) {
            this.fg = a;
            this.g("ValueMemberAsLegendUnit");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(AnchoredCategorySeriesDescription.prototype, "trendLineType", {
        get: function () {
            return this.fe;
        },
        set: function (a) {
            this.fe = a;
            this.g("TrendLineType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(AnchoredCategorySeriesDescription.prototype, "trendLineBrush", {
        get: function () {
            return this.fd;
        },
        set: function (a) {
            this.fd = a;
            this.g("TrendLineBrush");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(AnchoredCategorySeriesDescription.prototype, "actualTrendLineBrush", {
        get: function () {
            return this.e9;
        },
        set: function (a) {
            this.e9 = a;
            this.g("ActualTrendLineBrush");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(AnchoredCategorySeriesDescription.prototype, "trendLineThickness", {
        get: function () {
            return this.e5;
        },
        set: function (a) {
            this.e5 = a;
            this.g("TrendLineThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(AnchoredCategorySeriesDescription.prototype, "trendLineDashArray", {
        get: function () {
            return this.e3;
        },
        set: function (a) {
            this.e3 = a;
            this.g("TrendLineDashArray");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(AnchoredCategorySeriesDescription.prototype, "trendLinePeriod", {
        get: function () {
            return this.e7;
        },
        set: function (a) {
            this.e7 = a;
            this.g("TrendLinePeriod");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(AnchoredCategorySeriesDescription.prototype, "markerCollisionAvoidance", {
        get: function () {
            return this.fc;
        },
        set: function (a) {
            this.fc = a;
            this.g("MarkerCollisionAvoidance");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(AnchoredCategorySeriesDescription.prototype, "consolidatedItemHitTestBehavior", {
        get: function () {
            return this.fa;
        },
        set: function (a) {
            this.fa = a;
            this.g("ConsolidatedItemHitTestBehavior");
        },
        enumerable: false,
        configurable: true
    });
    AnchoredCategorySeriesDescription.$t = markType(AnchoredCategorySeriesDescription, 'AnchoredCategorySeriesDescription', CategorySeriesDescription.$);
    return AnchoredCategorySeriesDescription;
}(CategorySeriesDescription));
export { AnchoredCategorySeriesDescription };
